%define build_dbus 1
%define filename %name-%version

Name:           tomboy
Version: 0.4.1
%define subrel	1
Release: %mkrel 2
Summary: Tomboy is a desktop note-taking application for Linux and Unix
Group:          Graphical desktop/GNOME
License:        LGPL
URL:            http://www.beatniksoftware.com/tomboy/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/tomboy/%{filename}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  gtkspell-devel
BuildRequires:  gnome-sharp2
BuildRequires:  libpanel-applet-devel
BuildRequires:  libgnomeprintui-devel
#BuildRequires:  galago-sharp
BuildRequires:  gmime-sharp
%if %build_dbus
BuildRequires:  dbus-glib-devel
%endif
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
BuildRequires: automake1.8
BuildRequires: intltool
BuildRequires: gnome-doc-utils libxslt-proc
BuildRequires: desktop-file-utils
#gw dllopened:
Requires: %mklibname gtkspell 0
Requires: %mklibname panel-applet-2_ 0
Requires: %mklibname dbus-1_ 3
Requires: %mklibname dbus-glib-1_ 2
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
Tomboy is a desktop note-taking application for Linux and Unix. Simple
and easy to use, but with potential to help you organize the ideas and
information you deal with every day. The key to Tomboy's usefulness
lies in the ability to relate notes and ideas together. Using a
WikiWiki-like linking system, organizing ideas is as simple as typing
a name. Branching an idea off is easy as pressing the Link button. And
links between your ideas won't break, even when renaming and
reorganizing them.

%prep
%setup -q -n %filename
rm -rf www/CVS www/img/CVS

%build
#gw trying to work around a build bot problem
export MONO_SHARED_DIR=`pwd`
%if %mdkversion <= 1000
%define __cputoolize true
%define __libtoolize true
%endif
%configure2_5x --enable-galago=no --disable-scrollkeeper \
%if !%build_dbus
  --enable-dbus=no
%endif

%make

%install

%{__rm} -rf ${RPM_BUILD_ROOT} %name.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
install -m 644 Tomboy/Plugins/NoteOfTheDay.dll $RPM_BUILD_ROOT%{_libdir}/%{name}/Plugins/
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/%{name}/lib%{name}.la
%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

# menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/%name --tray-icon" \
title="Tomboy" \
longtitle="Desktop note-taking application" \
section="Office/Accessories" \
needs="x11" \
icon="%name.png" \
startup_notify="true" xdg="true"
EOF
# fix desktop entries
perl -pi -e "s^\@VERSION\@^%version^" %buildroot%_datadir/applications/*
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/tomboy.desktop

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%post_install_gconf_schemas %name
%update_menus
%update_icon_cache hicolor
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_menus
%clean_icon_cache hicolor
%clean_scrollkeeper

%files -f %name.lang
%defattr(-,root,root,-)
%doc ChangeLog NEWS README AUTHORS
# www
%_sysconfdir/gconf/schemas/%name.schemas
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%_mandir/man1/%name.1*
%_datadir/applications/*
%_datadir/icons/hicolor/*/apps/tomboy*
%_datadir/pixmaps/tomboy.png
%dir %_datadir/omf/%name
%_datadir/omf/%name/tomboy-C.omf
%{_libdir}/%{name}/libtomboy.so
%{_libdir}/%{name}/Tomboy.exe
%{_libdir}/%{name}/Tomboy.exe.config
%{_libdir}/bonobo/servers/GNOME_TomboyApplet.server
%{_libdir}/tomboy/Plugins/*
%_libdir/pkgconfig/tomboy-plugins.pc
%if %build_dbus
%_libdir/dbus-1.0/services/com.beatniksoftware.Tomboy.service
%endif
%{_menudir}/%{name}


%changelog
* Wed Dec 13 2006 Stew Benedict <sbenedict@mandriva.com> 0.4.1-2.1mdv2007.0
- rebuild for 2007.0 updates

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 0.4.1-2mdv2007.0
+ Revision: 87362
- fix bug #26399
- Import tomboy



* Sun Oct 08 2006 Götz Waschk <waschk@mandriva.org> 0.4.1-2mdv2007.1
- Rebuild

* Thu Sep  7 2006 Gtz Waschk <waschk@mandriva.org> 0.4.1-1mdv2007.0
- new version

* Tue Sep  5 2006 Gtz Waschk <waschk@mandriva.org> 0.4.0-1mdv2007.0
- update file list
- drop patches
- New version 0.4.0

* Tue Aug 22 2006 Gtz Waschk <waschk@mandriva.org> 0.3.9-6mdv2007.0
- fix about window

* Wed Aug 16 2006 Gtz Waschk <waschk@mandriva.org> 0.3.9-5mdv2007.0
- fix dbus deps
- drop other patch
- fix dllmap

* Thu Aug 10 2006 Gtz Waschk <waschk@mandriva.org> 0.3.9-4mdv2007.0
- try to fix crash at startup

* Tue Aug  8 2006 Gtz Waschk <waschk@mandriva.org> 0.3.9-3mdv2007.0
- filx buildrequires

* Tue Aug  8 2006 Gtz Waschk <waschk@mandriva.org> 0.3.9-2mdv2007.0
- fix deps

* Tue Aug  8 2006 Gtz Waschk <waschk@mandriva.org> 0.3.9-1mdv2007.0
- update file list
- new source URL
- new version

* Tue Aug  1 2006 Gtz Waschk <waschk@mandriva.org> 0.3.5-10mdv2007.0
- renable dbus

* Mon Jul 31 2006 Gtz Waschk <waschk@mandriva.org> 0.3.5-9mdv2007.0
- disable dbus

* Wed Jul  5 2006 Gtz Waschk <waschk@mandriva.org> 0.3.5-8mdv2007.0
- fix xdg menu

* Wed Jul  5 2006 Gtz Waschk <waschk@mandriva.org> 0.3.5-7mdv2007.0
- new macros
- xdg menu
- add Not of the Day plugin (bug #23506)

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 0.3.5-6mdk
-rebuild for new dbus-sharp

* Sat Apr 22 2006 Gtz Waschk <waschk@mandriva.org> 0.3.5-5mdk
- disable galago

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 0.3.5-4mdk
- really rebuild for new dbus-sharp

* Fri Apr 21 2006 Götz Waschk <waschk@mandriva.org> 0.3.5-3mdk
- rebuild for new dbus-sharp

* Mon Apr 17 2006 Götz Waschk <waschk@mandriva.org> 0.3.5-2mdk
- rebuild for new gmime

* Wed Feb  8 2006 Gtz Waschk <waschk@mandriva.org> 0.3.5-1mdk
- drop patch
- New release 0.3.5

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.3.4-1mdk
- patch to add missing source
- update deps
- drop patch
- New release 0.3.4

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.3-4mdk
- rebuild for new dbus-sharp
- use mkrel

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.3.3-3mdk
- rebuild for new dbus

* Wed Oct  5 2005 Gtz Waschk <waschk@mandriva.org> 0.3.3-2mdk
- small patch for new mono
- fix buildrequires

* Wed Aug 10 2005 Gtz Waschk <waschk@mandriva.org> 0.3.3-1mdk
- fix file list
- drop patch
- New release 0.3.3

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- patch for mono 1.1.7
- new version

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-0.20050422.1mdk
- new snapshot

* Fri Apr  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-0.20050407.2mdk
- fix buildrequires

* Thu Apr  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-0.20050407.1mdk
- update file list
- drop patch
- new snapshot

* Thu Apr  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-9mdk
- rebuild

* Tue Mar 29 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-8mdk
- patch for mono 1.1

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 0.3.1-7mdk
- rebuild for new dbus-sharp

* Thu Feb 17 2005 Götz Waschk <waschk@linux-mandrake.com> 0.3.1-6mdk
- Rebuild

* Tue Feb 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-5mdk
- fix buildrequires

* Tue Feb 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-4mdk
- fix the menu entry

* Mon Feb 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-3mdk
- add dep on libpanel-applet (bug 13620)

* Thu Feb 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-2mdk
- fix the icon again
- fix deps

* Sun Feb 06 2005 Jerome Soyer <saispo@mandrake.org> 0.3.1-1mdk
- New version

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-5mdk
- rebuild for new dbus-sharp

* Thu Dec 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-4mdk
- Use true instead of yes for startupnotify key in menu

* Sun Nov  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-3mdk
- rebuild for new mono

* Sun Oct 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-2mdk
- fix gconf script

* Sat Oct 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-1mdk
- add the man page
- New release 0.2.2

* Fri Oct 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-3mdk
- fix buildrequires

* Thu Oct 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-2mdk
- add dbus service

* Thu Oct 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- fix installation
- add missing files
- drop gnome-applets buildrequirement
- New release 0.2.1

* Wed Sep 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-2mdk
- fix menu title
- replace the copyrighted icon

* Wed Sep 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- initial mdk package

* Sun Sep 18 2004 Ricardo Veguilla <veguilla@hpcf.upr.edu> - 0.1
- Initial package.
